import { createFunction as publicCreateFunction, getFunction as publicGetFunction, updateFunction as publicUpdateFunction, deleteFunction as publicDeleteFunction, queryFunctions as publicQueryFunctions } from './functions-v1-function-functions.public.js';
import { createEventModule } from '@wix/sdk-runtime/event-definition-modules';
import { BuildRESTFunction, MaybeContext } from '@wix/sdk-types';
import { onFunctionCreated as publicOnFunctionCreated } from './functions-v1-function-functions.public.js';
import { onFunctionDeleted as publicOnFunctionDeleted } from './functions-v1-function-functions.public.js';
import { onFunctionUpdated as publicOnFunctionUpdated } from './functions-v1-function-functions.public.js';
export declare const createFunction: MaybeContext<BuildRESTFunction<typeof publicCreateFunction> & typeof publicCreateFunction>;
export declare const getFunction: MaybeContext<BuildRESTFunction<typeof publicGetFunction> & typeof publicGetFunction>;
export declare const updateFunction: MaybeContext<BuildRESTFunction<typeof publicUpdateFunction> & typeof publicUpdateFunction>;
export declare const deleteFunction: MaybeContext<BuildRESTFunction<typeof publicDeleteFunction> & typeof publicDeleteFunction>;
export declare const queryFunctions: MaybeContext<BuildRESTFunction<typeof publicQueryFunctions> & typeof publicQueryFunctions>;
/** */
export declare const onFunctionCreated: ReturnType<typeof createEventModule<typeof publicOnFunctionCreated>>;
/** */
export declare const onFunctionDeleted: ReturnType<typeof createEventModule<typeof publicOnFunctionDeleted>>;
/** */
export declare const onFunctionUpdated: ReturnType<typeof createEventModule<typeof publicOnFunctionUpdated>>;
export { ActivationStatus, SortOrder, WebhookIdentityType, } from './functions-v1-function-functions.universal.js';
export { _Function, CreateFunctionRequest, CreateFunctionResponse, GetFunctionRequest, GetFunctionResponse, UpdateFunctionRequest, UpdateFunctionResponse, DeleteFunctionRequest, DeleteFunctionResponse, QueryFunctionsRequest, CursorQuery, CursorQueryPagingMethodOneOf, Sorting, CursorPaging, QueryFunctionsResponse, CursorPagingMetadata, Cursors, ListValuesByFieldRequest, ListValuesByFieldResponse, FieldAndCount, DomainEvent, DomainEventBodyOneOf, EntityCreatedEvent, RestoreInfo, EntityUpdatedEvent, EntityDeletedEvent, ActionEvent, Empty, MessageEnvelope, IdentificationData, IdentificationDataIdOneOf, _FunctionNonNullableFields, CreateFunctionResponseNonNullableFields, GetFunctionResponseNonNullableFields, UpdateFunctionResponseNonNullableFields, QueryFunctionsResponseNonNullableFields, BaseEventMetadata, EventMetadata, FunctionCreatedEnvelope, FunctionDeletedEnvelope, FunctionUpdatedEnvelope, UpdateFunction, FunctionsQueryResult, FunctionsQueryBuilder, } from './functions-v1-function-functions.universal.js';
