import { RequestOptionsFactory } from '@wix/sdk-types';
/** Creates a function. */
export declare function createFunction(payload: object): RequestOptionsFactory<any>;
/** Retrieves a function. */
export declare function getFunction(payload: object): RequestOptionsFactory<any>;
/**
 * Updates a function.
 *
 * Each time the function is updated,
 * `revision` increments by 1.
 * The existing `revision` must be passed when updating the function.
 * This ensures you're working with the latest version of the function
 * and prevents unintended overwrites.
 */
export declare function updateFunction(payload: object): RequestOptionsFactory<any>;
/**
 * Deletes a function.
 *
 * Deleting a function permanently removes it from the Function List
 * in the site dashboard.
 */
export declare function deleteFunction(payload: object): RequestOptionsFactory<any>;
/**
 * Retrieves a list of functions, given the provided paging, filtering, and sorting.
 *
 * To learn about working with _Query_ endpoints, see
 * [API Query Language](https://dev.wix.com/api/rest/getting-started/api-query-language),
 * [Sorting and Paging](https://dev.wix.com/api/rest/getting-started/pagination),
 * and [Field Projection](https://dev.wix.com/api/rest/getting-started/field-projection).
 */
export declare function queryFunctions(payload: object): RequestOptionsFactory<any>;
