"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.WebhookIdentityType = exports.SortOrder = exports.ActivationStatus = exports.onFunctionUpdated = exports.onFunctionDeleted = exports.onFunctionCreated = exports.queryFunctions = exports.deleteFunction = exports.updateFunction = exports.getFunction = exports.createFunction = exports.__metadata = void 0;
const rename_all_nested_keys_1 = require("@wix/sdk-runtime/rename-all-nested-keys");
const timestamp_1 = require("@wix/sdk-runtime/transformations/timestamp");
const transform_paths_1 = require("@wix/sdk-runtime/transformations/transform-paths");
const sdk_types_1 = require("@wix/sdk-types");
const functions_v1_function_functions_universal_js_1 = require("./functions-v1-function-functions.universal.js");
exports.__metadata = { PACKAGE_NAME: '@wix/functions' };
function createFunction(httpClient) {
    return (_function) => (0, functions_v1_function_functions_universal_js_1.createFunction)(_function, 
    // @ts-ignore
    { httpClient });
}
exports.createFunction = createFunction;
function getFunction(httpClient) {
    return (functionId) => (0, functions_v1_function_functions_universal_js_1.getFunction)(functionId, 
    // @ts-ignore
    { httpClient });
}
exports.getFunction = getFunction;
function updateFunction(httpClient) {
    return (_id, _function) => (0, functions_v1_function_functions_universal_js_1.updateFunction)(_id, _function, 
    // @ts-ignore
    { httpClient });
}
exports.updateFunction = updateFunction;
function deleteFunction(httpClient) {
    return (functionId) => (0, functions_v1_function_functions_universal_js_1.deleteFunction)(functionId, 
    // @ts-ignore
    { httpClient });
}
exports.deleteFunction = deleteFunction;
function queryFunctions(httpClient) {
    return () => (0, functions_v1_function_functions_universal_js_1.queryFunctions)(
    // @ts-ignore
    { httpClient });
}
exports.queryFunctions = queryFunctions;
exports.onFunctionCreated = (0, sdk_types_1.EventDefinition)('wix.functions.v1.function_created', true, (event) => (0, rename_all_nested_keys_1.renameKeysFromRESTResponseToSDKResponse)((0, transform_paths_1.transformPaths)(event, [
    {
        transformFn: timestamp_1.transformRESTTimestampToSDKTimestamp,
        paths: [
            { path: 'entity.createdDate' },
            { path: 'entity.updatedDate' },
            { path: 'metadata.eventTime' },
        ],
    },
])))();
exports.onFunctionDeleted = (0, sdk_types_1.EventDefinition)('wix.functions.v1.function_deleted', true, (event) => (0, rename_all_nested_keys_1.renameKeysFromRESTResponseToSDKResponse)((0, transform_paths_1.transformPaths)(event, [
    {
        transformFn: timestamp_1.transformRESTTimestampToSDKTimestamp,
        paths: [
            { path: 'undefined.createdDate' },
            { path: 'undefined.updatedDate' },
            { path: 'metadata.eventTime' },
        ],
    },
])))();
exports.onFunctionUpdated = (0, sdk_types_1.EventDefinition)('wix.functions.v1.function_updated', true, (event) => (0, rename_all_nested_keys_1.renameKeysFromRESTResponseToSDKResponse)((0, transform_paths_1.transformPaths)(event, [
    {
        transformFn: timestamp_1.transformRESTTimestampToSDKTimestamp,
        paths: [
            { path: 'entity.createdDate' },
            { path: 'entity.updatedDate' },
            { path: 'metadata.eventTime' },
        ],
    },
])))();
var functions_v1_function_functions_universal_js_2 = require("./functions-v1-function-functions.universal.js");
Object.defineProperty(exports, "ActivationStatus", { enumerable: true, get: function () { return functions_v1_function_functions_universal_js_2.ActivationStatus; } });
Object.defineProperty(exports, "SortOrder", { enumerable: true, get: function () { return functions_v1_function_functions_universal_js_2.SortOrder; } });
Object.defineProperty(exports, "WebhookIdentityType", { enumerable: true, get: function () { return functions_v1_function_functions_universal_js_2.WebhookIdentityType; } });
//# sourceMappingURL=functions-v1-function-functions.public.js.map